Bug 676757 - "Globally Uncaught Exception" when entering very, very large numbers
"Globally Uncaught Exception" when entering very, very large numbers
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-scheduling
  Show dependency treegraph
 
Reported: 2011-02-10 22:22 EST by Corey Welton
Modified: 2011-10-04 15:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2011-02-10 22:22:35 EST
Description of problem:
When user enters very large numbers, an error is thrown.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  $resource > Monitoring > Schedules
2.  In Collection interval, enter the string "9999999999999999"; observe that it changes to "10000000000000000"
3.  Add another 9 to the end, effectively changing it into "100000000000000020"
4.  Add another 9 to the end, effectively changing it into "1000000000000000300"
5.  Add one more 9, effectively changing it into "10000000000000002000", View results
  
Actual results:

Error message -

Message Center :	
Globally uncaught exception
Severity :	
Error
	
Time :	
Thu 10 Feb 2011 10:20:43 PM EST
Detail :
java.lang.NumberFormatException:For input string: "10000000000000002000"


Expected results:

...make sure the exception is caught, I guess.

Additional info:

This may happen in templates too, but I don't remember seeing it.
Comment 1 John Mazzitelli 2011-02-14 14:39:41 EST
commit 4bfbfa4cb076532d26e25d452ab22fe061b6e9e8

can't enter anything higher than 10000000 without a validation error to pop up. no more exceptions show in the message center.
Comment 2 Sudhir D 2011-02-23 07:31:46 EST
Verified against RHQ 4.0.0-SNAPSHOT build# f896da0. 

I get the error exclamation next to Collection Interval when I enter anything more than 10000000.

Marking this bug as verified.
Comment 3 Corey Welton 2011-05-23 21:07:20 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.